> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wire instructions

> Get the wire transfer instructions into the Circle bank account given your bank account ID.



## OpenAPI

````yaml openapi/account.yaml get /v1/businessAccount/banks/wires/{id}/instructions
openapi: 3.0.2
info:
  version: ${version}
  title: Core Functionality
  description: >
    All of Circle's APIs share a common set of core functionality that lets you
    manage your Circle Account in a programmatic way.


    With a Circle Account your business can deposit traditional money from 80+
    countries and seamlessly convert them into "digital currency dollars": USDC.
    You can then use USDC for everyday payments and treasury flows.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Balances
    description: Get information on settled and unsettled balances.
  - name: Payouts
    description: Create and get information on 1st party payouts.
  - name: Wires
    description: >-
      Create, get instructions, and get information on 1st party bank accounts
      for wire transfers.
  - name: CUBIX
    description: Create and get information on CUBIX accounts.
  - name: PIX
    description: Create and get information on PIX accounts.
  - name: Transfers
    description: Create and get information on 1st party transfers.
  - name: Addresses
    description: Generate and get information on blockchain addresses.
  - name: Deposits
    description: Get information on 1st party deposits.
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Settlement Bank Routing
    description: View and manage settlement bank routing preferences for fiat accounts.
  - name: Reporting
    description: >-
      Retrieve transaction and balance reports, including ISO 20022 (CAMT.053)
      statements and managed-payment reports.
paths:
  /v1/businessAccount/banks/wires/{id}/instructions:
    get:
      tags:
        - Wires
      summary: Get wire instructions
      description: >-
        Get the wire transfer instructions into the Circle bank account given
        your bank account ID.
      operationId: getBusinessWireAccountInstructions
      parameters:
        - $ref: '#/components/parameters/IdPath'
        - $ref: '#/components/parameters/Currency'
        - name: walletId
          description: >
            The wallet ID of the external entity. If not provided, the
            instructions will be for your default wallet.


            You can create additional wallets using the [Core API for
            Institutions](/api-reference/circle-mint/institutional/create-external-entity).
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successfully retrieved wire transfer instructions for the bank
            account.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetBusinessWireAccountInstructionsResponse
                properties:
                  data:
                    $ref: '#/components/schemas/WireInstruction'
              examples:
                response:
                  value:
                    data:
                      trackingRef: CIR13FB13A
                      beneficiary:
                        name: CIRCLE INTERNET FINANCIAL INC
                        address1: 99 HIGH STREET
                        address2: BOSTON MA 02110
                      beneficiaryBank:
                        name: WELLS FARGO BANK
                        swiftCode: WFBIUS6SXXX
                        routingNumber: '121000248'
                        accountNumber: '****7427'
                        currency: USD
                        address: 4250 EXECUTIVE SQUARE SUITE 300
                        city: LA JOLLA
                        postalCode: '02110'
                        country: US
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
    Currency:
      name: currency
      description: Queries beneficiary bank account currency. Default is USD.
      in: query
      required: false
      schema:
        type: string
        enum:
          - USD
          - EUR
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    WireInstruction:
      type: object
      properties:
        trackingRef:
          type: string
          description: >-
            Circle tracking reference that needs to be set in the wire reference
            field.
          example: CIR13FB13A
        beneficiary:
          $ref: '#/components/schemas/WireInstructionBeneficiary'
        beneficiaryBank:
          $ref: '#/components/schemas/WireInstructionBeneficiaryBank'
    WireInstructionBeneficiary:
      type: object
      properties:
        name:
          type: string
          description: Name of the beneficiary.
          example: CIRCLE INTERNET FINANCIAL INC
        address1:
          type: string
          description: Address line 1 of the beneficiary's address.
          example: 99 HIGH STREET
        address2:
          type: string
          description: Address line 2 of the beneficiary's address.
          example: BOSTON MA 02110
    WireInstructionBeneficiaryBank:
      type: object
      properties:
        name:
          type: string
          description: Name of the beneficiary's bank.
          example: WELLS FARGO BANK
        swiftCode:
          type: string
          description: SWIFT code of the beneficiary's bank account.
          example: WFBIUS6SXXX
        routingNumber:
          type: string
          description: ABA Routing number of the beneficiary's bank account.
          example: '121000248'
        accountNumber:
          type: string
          description: Account number of the beneficiary's bank account.
          example: '****7427'
        currency:
          type: string
          description: Currency of the beneficiary's bank account.
          example: USD
        address:
          type: string
          description: Address of the beneficiary's bank.
          example: 4250 EXECUTIVE SQUARE SUITE 300
        city:
          type: string
          description: City of the beneficiary's bank.
          example: LA JOLLA
        postalCode:
          type: string
          description: Postal code of the beneficiary's bank.
          example: '02110'
        country:
          type: string
          description: >-
            Country code of the beneficiary's bank. Formatted as a two-letter
            country code specified in ISO 3166-1 alpha-2.
          example: US
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````